@misc{Singularity2007,
    author = {P. S. Donelan},
    title = {Singularity-theoretic Methods in Robot Kinematics},
    url = {https://www.cambridge.org/core/journals/robotica/article/abs/singularitytheoretic-methods-in-robot-kinematics/DE12E8A0106D5439167791917BDA7273},
    year = {2007}
}

@misc{Mecademic2019,
  title = {{Mecademic} What are Singularities in a Six-Axis Robot Arm?
},
  howpublished = {\url{http:https://www.mecademic.com/en/what-are-singularities-in-a-six-axis-robot-arm}},
  note = {Accessed: 2021-03-30}
}